Page MenuHomeVyOS Platform

vyos-container: link_filter: No such file or directory
Closed, ResolvedPublicBUG

Description

For`veth` as an ethernet interface in the container, on first commit command appears warning info.

vyos@vyos# set interfaces ethernet eth0 address 100.64.0.1/24
[edit]
vyos@vyos# commit
[ interfaces ethernet eth0 ]
sh: /proc/sys/net/ipv4/conf/eth0/link_filter: No such file or directory

[ interfaces ethernet eth0 duplex auto ]
Cannot set new settings: Operation not permitted
  not setting autoneg

[edit]
vyos@vyos# commit

Details

Difficulty level
Unknown (require assessment)
Version
1.2.5
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

Dmitry created this task.May 26 2020, 10:06 AM
pasik added a subscriber: pasik.May 27 2020, 5:14 PM
Dmitry changed the task status from Open to In progress.May 28 2020, 11:25 AM
Dmitry claimed this task.

PR https://github.com/vyos/vyatta-cfg-quagga/pull/48
Also added the second commit which fixes the path to zebra daemon

Dmitry closed this task as Resolved.Mon, Aug 3, 8:00 PM